Package org.bukkit.event

# Annotation Interface EventHandler

@Target(METHOD) @Retention(RUNTIME) public @interface EventHandler
An annotation to mark methods as being event handler methods

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`boolean`
`ignoreCancelled`
Define if the handler ignores a cancelled event.
`EventPriority`
`priority`
Define the priority of the event.

## Element Details

### priority

EventPriority priority
Define the priority of the event.

First priority to the last priority executed:

1. LOWEST
2. LOW
3. NORMAL
4. HIGH
5. HIGHEST
6. MONITOR

Returns:
  the priority

Default:
  NORMAL

### ignoreCancelled

boolean ignoreCancelled
Define if the handler ignores a cancelled event.

If ignoreCancelled is true and the event is cancelled, the method is not called. Otherwise, the method is always called.

Returns:
  whether cancelled events should be ignored

Default:
  false